<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/General/Category/NSDate+TimeExtension.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_n_s_date_09_time_extension_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NSDate+TimeExtension.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_n_s_date_09_time_extension_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  NSDate+TimeExtension.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  TestLog</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Topredator on 2017/12/21.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="category_n_s_date_07_time_extension_08.html">   11</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_n_s_date_07_time_extension_08.html">NSDate (TimeExtension)</a></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#pragma mark ==================  是否是本 年、月、周、日   ==================</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;- (BOOL)<a class="code" href="category_n_s_date_07_time_extension_08.html#a1b562e7492352122e8fc2d89aa9e1caa">isSameYear</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;- (BOOL)<a class="code" href="category_n_s_date_07_time_extension_08.html#a4fee21a607c745e56dd38c8f2eeb6d8e">isSameMonth</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;- (BOOL)<a class="code" href="category_n_s_date_07_time_extension_08.html#aabb4373d28c899959a87f5df5c0e7679">isSameWeek</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;- (BOOL)<a class="code" href="category_n_s_date_07_time_extension_08.html#a780aeb474e70d80866876d9dcc052880">isSameDay</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;- (NSString *)<a class="code" href="category_n_s_date_07_time_extension_08.html#ac77267160acf6c8f87624ea1a1fced20">weekdayStringFromDate</a>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="acategory_n_s_date_07_time_extension_08_html_a4fee21a607c745e56dd38c8f2eeb6d8e"><div class="ttname"><a href="category_n_s_date_07_time_extension_08.html#a4fee21a607c745e56dd38c8f2eeb6d8e">-[NSDate(TimeExtension) isSameMonth]</a></div><div class="ttdeci">BOOL isSameMonth()</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_date_09_time_extension_8m_source.html#l00011">NSDate+TimeExtension.m:27</a></div></div>
<div class="ttc" id="acategory_n_s_date_07_time_extension_08_html_aabb4373d28c899959a87f5df5c0e7679"><div class="ttname"><a href="category_n_s_date_07_time_extension_08.html#aabb4373d28c899959a87f5df5c0e7679">-[NSDate(TimeExtension) isSameWeek]</a></div><div class="ttdeci">BOOL isSameWeek()</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_date_09_time_extension_8m_source.html#l00011">NSDate+TimeExtension.m:34</a></div></div>
<div class="ttc" id="acategory_n_s_date_07_time_extension_08_html_a1b562e7492352122e8fc2d89aa9e1caa"><div class="ttname"><a href="category_n_s_date_07_time_extension_08.html#a1b562e7492352122e8fc2d89aa9e1caa">-[NSDate(TimeExtension) isSameYear]</a></div><div class="ttdeci">BOOL isSameYear()</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_date_09_time_extension_8m_source.html#l00011">NSDate+TimeExtension.m:20</a></div></div>
<div class="ttc" id="acategory_n_s_date_07_time_extension_08_html_a780aeb474e70d80866876d9dcc052880"><div class="ttname"><a href="category_n_s_date_07_time_extension_08.html#a780aeb474e70d80866876d9dcc052880">-[NSDate(TimeExtension) isSameDay]</a></div><div class="ttdeci">BOOL isSameDay()</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_date_09_time_extension_8m_source.html#l00011">NSDate+TimeExtension.m:41</a></div></div>
<div class="ttc" id="acategory_n_s_date_07_time_extension_08_html"><div class="ttname"><a href="category_n_s_date_07_time_extension_08.html">NSDate(TimeExtension)</a></div><div class="ttdef"><b>Definition:</b> <a href="_n_s_date_09_time_extension_8h_source.html#l00011">NSDate+TimeExtension.h:11</a></div></div>
<div class="ttc" id="acategory_n_s_date_07_time_extension_08_html_ac77267160acf6c8f87624ea1a1fced20"><div class="ttname"><a href="category_n_s_date_07_time_extension_08.html#ac77267160acf6c8f87624ea1a1fced20">-[NSDate(TimeExtension) weekdayStringFromDate]</a></div><div class="ttdeci">NSString * weekdayStringFromDate()</div><div class="ttdef"><b>Definition:</b> <a href="_n_s_date_09_time_extension_8m_source.html#l00011">NSDate+TimeExtension.m:48</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_171c39b2a2b35fab3d93e826831e70cd.html">General</a></li><li class="navelem"><a class="el" href="dir_0a8ba05fb147062574fff2be58e33f1d.html">Category</a></li><li class="navelem"><a class="el" href="_n_s_date_09_time_extension_8h.html">NSDate+TimeExtension.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
